if (is_file ("/etc/hosts")) ...                                                /* 0 */

if (is_directory ("/etc/hosts")) ...                                           /* 0 */

if (is_link ("/etc/hosts", FS_DIR)) ...                                        /* 0 */

if (is_link ("/etc/hosts", FS_FILE)) ...                                       /* 1 */
